Subject: Re: bug#11416: 24.1.50; Abort in Fadd_text_properties on Windows

From: Christoph Scholtes <[email-masked]>
Date: Sun, 06 May 2012 13:53:19 -0600

Eli Zaretskii <[email-masked]> writes:

 > Sorry, I should have been more clear.  I meant this:
 >
 >  (gdb) p object
 >  (gdb) xtype
 >
 > If "xtype" says it's a symbol, follow immediately by "xsymbol" to see
 > which symbol it is.  Other Lisp data types have their respective xFOO
 > commands to do similar things.

(gdb) p object
$6 = 283151365
(gdb) xtype
Lisp_Vectorlike
PVEC_BUFFER
(gdb) xvector
$7 = (struct Lisp_Vector *) 0x10e08c00
0
(gdb)

 > Btw, is this an optimized build?  I didn't pay attention before, but I
 > see now that the C backtrace is entirely bogus: almost all frames
 > there are "at eval.c:175", which is obviously nonsense, since the
 > function names are different.  The place where abort was called,
 > claimed to be textprop.c:129, is also a lie, as nothing around that
 > line can ever call abort (unless I'm missing something).  I'm guessing
 > it actually aborted at line 1194:
 >
 >       if (i == 0)
 >     abort ();
 >
 > Not sure what that means, though.

No, it's a debug nightly build from my Jenkins server. However, last
night another build got kicked of and some files might haeve been
updated from bzr. The build failed since the executable was still
running. Possible that the source does not match the object code.

 > And what versions of GCC and GDB did you use?

gcc 4.6.2. gdb 6.8, which I used by accident, but there is nothing I can 
do now.
gdb 7.3.1 is the usual version I use.

 > Any hope of you remembering what you did at that point?

Sure. I was using C-C r to trigger org-capture and then entering a line
into an org-capture template when it crashed.

If this doesn't lead to anything, I can keep an eye open for another
occurrence.